> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udautocomplete.md).

# New-UDAutocomplete

### Sinopsis

El autocompletado es una entrada de texto normal mejorada con un panel de opciones sugeridas.

### Sintaxis

```powershell
New-UDAutocomplete [-Id <String>] [-Label <String>] [-Value <Object>] [-OnChange <Endpoint>] [-Options <Object>] [-FullWidth] [-AutoSelect] [-Variant <String>] [-Multiple] [-ClassName <String>] [-Icon <Object>] [-OnEnter <Endpoint>] [-Disabled] [<CommonParameters>]

    New-UDAutocomplete [-Id <String>] [-Label <String>] [-Value <Object>] [-OnChange <Endpoint>] -OnLoadOptions <Endpoint> [-FullWidth] [-AutoSelect] [-Variant <String>] [-Multiple] [-ClassName <String>] [-Icon <Object>] [-OnEnter <Endpoint>] [-Disabled] [<CommonParameters>]
```

### Descripción

Los cuadros de texto de autocompletado se pueden utilizar para permitir que el usuario seleccione de una gran lista de elementos estáticos o dinámicos. Al escribir en el cuadro de texto se filtrará la lista.

### Parámetros

#### -Id

El ID del componente. Por defecto es un GUID aleatorio.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label

La etiqueta que se mostrará para el cuadro de texto.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Value El valor del cuadro de texto.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-OnChangeUn bloque de script que se invoca cuando cambia la selección.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-OnLoadOptionsUn bloque de script que se llama cuando el usuario empieza a escribir en el cuadro de texto. La variable $Body contendrá el texto escrito. Debe devolver una matriz JSON de valores que sean el resultado de lo que el usuario ha escrito.Required?                    truePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Options Opciones estáticas que se mostrarán en la lista desplegable de selección. Cuando el usuario escriba, estas opciones se filtrarán.Required?                    falsePosition?                    namedDefault value                @()Accept pipeline input?       falseAliasesAccept wildcard characters?  false    -FullWidth \[\<SwitchParameter>]        Whether the component should take up the full width of its parent.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -AutoSelect \[\<SwitchParameter>]        Whether the component should automatically be selected if there was only one total option with the options array.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-VariantLa variante del cuadro de texto. Los valores válidos son: "filled", "outlined", "standard"Required?                    falsePosition?                    namedDefault value                standardAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Multiple \[\<SwitchParameter>]        Whether multiple items can be selected.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameUna clase CSS que se aplicará al componente.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Icon El icono que se mostrará antes del cuadro de texto. Utilice New-UDIcon para crear el valor de este parámetro.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-OnEnterUn bloque de script que se llamará cuando el usuario pulse Enter dentro del cuadro de texto de autocompletado.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Disabled \[\<SwitchParameter>]        Whether this autocomplete is disabled.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Salidas--------------------------> EJEMPLO 1 --------------------------PS >New-UDAutocomplete -Options @('Test', 'Test2', 'Test3', 'Test4') -Id 'autocomplete1' -FullWidthBasic autocomplete|The value must be chosen from a predefined set of allowed values.-------------------------- EXAMPLE 2 --------------------------PS >New-UDAutocomplete -Options @("Test", "No", "Yes") -Multiple  -Id 'autocomplete2' -FullWidthMulti-Select|Allow the user to select multiple values.-------------------------- EXAMPLE 3 --------------------------PS >New-UDStack -Content {PS >    New-UDAutocomplete -Options @("Test", "No", "Yes") -Variant 'filled'  -Id 'autocomplete3' -FullWidthPS >    New-UDAutocomplete -Options @("Test", "No", "Yes") -Variant 'outlined'  -Id 'autocomplete4' -FullWidthPS >    New-UDAutocomplete -Options @("Test", "No", "Yes") -Variant 'standard'  -Id 'autocomplete5' -FullWidthPS > } -Direction 'column' -FullWidthVariants|Change the the style of the autocomplete textbox.-------------------------- EXAMPLE 4 --------------------------PS >New-UDAutocomplete -Options @("Test", "No", "Yes") -OnChange {PS >    Show-UDToast $EventDataPS > }  -Id 'autocomplete6' -FullWidthHandling changes|Execute PowerShell when the autocomplete changes.-------------------------- EXAMPLE 5 --------------------------PS >New-UDAutocomplete -Options @("Test", "No", "Yes") -OnEnter {PS >    Show-UDToast $EventDataPS > } -Id 'autocomplete7' -FullWidthOnEnter|Execute PowerShell when the user presses enter.-------------------------- EXAMPLE 6 --------------------------PS >New-UDAutocomplete -OnLoadOptions {PS >   @('Test', 'Test2', 'Test3', 'Test4') | Where-Object { $\_ -match $Body } | ConvertTo-JsonPS > } -Id 'autocomplete8' -FullWidthAsynchronous options|Creates an autocomplete with a dynamically filtered set of options-------------------------- EXAMPLE 7 --------------------------PS >New-UDAutocomplete -Options @(PS >    New-UDAutocompleteOption -Name 'Test' -Value 'test' -Group 'Group1'PS >    New-UDAutocompleteOption -Name 'Test2' -Value 'test2' -Group 'Group1'PS >    New-UDAutocompleteOption -Name 'Test3' -Value 'test3' -Group 'Group2'PS >    New-UDAutocompleteOption -Name 'Test4' -Value 'test4' -Group 'Group2'PS > ) -Id 'autocomplete9' -FullWidth


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udautocomplete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
